Bug 1425575 - [abrt] glances: glances_docker.py:255:get_docker_cpu:TypeError: object of type 'NoneType' has no len()
Summary: [abrt] glances: glances_docker.py:255:get_docker_cpu:TypeError: object of typ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glances
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Edouard Bourguignon
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:fc8a3f8be8ae34e0be3b534eaf3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-21 18:39 UTC by Pavel Alexeev
Modified: 2017-12-12 11:17 UTC (History)
6 users (show)

Fixed In Version: glances-2.11.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 11:17:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (5.32 KB, text/plain)
2017-02-21 18:39 UTC, Pavel Alexeev
no flags Details
File: environ (7.18 KB, application/octet-stream)
2017-02-21 18:39 UTC, Pavel Alexeev
no flags Details

Description Pavel Alexeev 2017-02-21 18:39:28 UTC
Description of problem:
Just run glances without any arguments.
Reproduced 3 times sequentily.

Version-Release number of selected component:
glances-2.5.1-2.fc24

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python /usr/bin/glances
executable:     /usr/bin/glances
kernel:         4.9.8-200.pf5.hu.1.fc25.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 get_docker_cpu in /usr/lib/python2.7/site-packages/glances/plugins/glances_docker.py:255
#2 update in /usr/lib/python2.7/site-packages/glances/plugins/glances_docker.py:225
#3 wrapper in /usr/lib/python2.7/site-packages/glances/plugins/glances_plugin.py:654
#4 update in /usr/lib/python2.7/site-packages/glances/core/glances_stats.py:156
#5 __serve_forever in /usr/lib/python2.7/site-packages/glances/core/glances_standalone.py:89
#6 serve_forever in /usr/lib/python2.7/site-packages/glances/core/glances_standalone.py:108
#7 main in /usr/lib/python2.7/site-packages/glances/__init__.py:125
#8 <module> in /usr/bin/glances:9

Potential duplicate: bug 1378805

Comment 1 Pavel Alexeev 2017-02-21 18:39:35 UTC
Created attachment 1256213 [details]
File: backtrace

Comment 2 Pavel Alexeev 2017-02-21 18:39:37 UTC
Created attachment 1256214 [details]
File: environ

Comment 3 Mike Goodwin 2017-08-12 11:27:35 UTC
It seems to fail a little differently now, but there's still a discrepancy with glnances_docker.py on systems with docker installed. Glances won't work:

Traceback (most recent call last):
  File "/usr/bin/glances", line 11, in <module>
    load_entry_point('Glances==2.7.1', 'console_scripts', 'glances')()
  File "/usr/lib/python3.6/site-packages/glances/__init__.py", line 127, in main
    args=core.get_args())
  File "/usr/lib/python3.6/site-packages/glances/standalone.py", line 68, in __init__
    self.stats.update()
  File "/usr/lib/python3.6/site-packages/glances/stats.py", line 154, in update
    self._plugins[p].update()
  File "/usr/lib/python3.6/site-packages/glances/plugins/glances_plugin.py", line 734, in wrapper
    ret = fct(*args, **kw)
  File "/usr/lib/python3.6/site-packages/glances/plugins/glances_docker.py", line 153, in update
    self.docker_client = self.connect()
  File "/usr/lib/python3.6/site-packages/glances/plugins/glances_docker.py", line 98, in connect
    ret = docker.Client(base_url='unix://var/run/docker.sock')
AttributeError: module 'docker' has no attribute 'Client'

Comment 4 Fedora Update System 2017-11-26 20:55:36 UTC
glances-2.11.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce1b9a88bb

Comment 5 Fedora Update System 2017-11-26 20:56:00 UTC
glances-2.11.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ec108000a

Comment 6 Fedora Update System 2017-11-28 06:45:18 UTC
glances-2.11.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ce1b9a88bb

Comment 7 Fedora Update System 2017-11-28 07:24:08 UTC
glances-2.11.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ec108000a

Comment 8 Fedora Update System 2017-12-12 11:17:25 UTC
glances-2.11.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.